Bug Hunting Session
Bug 88254 - FILESAVE: BASE Report builder doesn't save changes
Summary: FILESAVE: BASE Report builder doesn't save changes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Database-Reports-Builder
  Show dependency treegraph
 
Reported: 2015-01-09 20:42 UTC by James B. Byrne
Modified: 2017-06-24 22:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ODB project document date 2015-01-12 (349.79 KB, application/vnd.sun.xml.base)
2015-02-09 15:52 UTC, James B. Byrne
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James B. Byrne 2015-01-09 20:42:25 UTC
CentOS-6.6

java version "1.7.0_71"
OpenJDK Runtime Environment (rhel-2.5.3.2.el6_6-x86_64 u71-b14)
OpenJDK 64-Bit Server VM (build 24.65-b04, mixed mode)

libreoffice4.3 --version
LibreOffice 4.3.5.2 3a87456aaa6a95c63eea1c1b3201acedf0751bd5

After a simple edit increasing the size of of the detail line vertical space an attempt to save the work had no effect. The report build window continued to show the save file icon as enabled.  The underlying LO Base window did not have its save file icon become active.  Both windows refreshed and could be selected and mosed on the desktop. It was even possible to select the open report builder window from the report edit menu.  One could even make changes to the controls thereon.

But, it proved impossible to close the report builder window.  Repeated selection of the window close X icon had no effect whatsoever.  The only available option was to close the entire database.  The application however, continued to run and it was possible to reopen the database and resume editing the report.  The previous entered changed were not saved.
Comment 1 Alex Thurgood 2015-01-14 15:28:35 UTC
I have only seen this on much older versions of LO with Ubuntu and the distro-provided packages.
Comment 2 Alex Thurgood 2015-01-16 10:58:12 UTC
Can not reproduce with OpenJDK IcedTea 7u71_2.5.3 and LibreOffice 4272 on Linux Mint 17.

I will test my master build.
Comment 3 Alex Thurgood 2015-01-16 11:05:01 UTC
Can not reproduce with master build 4.5.0.0alpha on Linux Mint 17.

My guess is that this is specific to your CentOS setup.


Alex
Comment 4 Robert Großkopf 2015-01-16 16:26:13 UTC
Have tested with
Version: 4.3.5.2
Build-ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5
Java 1.7.0_55

Could not reproduce on OpenSUSE 12.3 64bit rpm Linux. But have had such a behavior sometimes while editing reports - not only with Linux.

We need an example, where it happens very often or, better, every time.
Comment 5 Andy Gonzalez 2015-02-08 23:45:38 UTC
I'm not sure if this comment will help, but I've just lost almost an hour's worth of adjustments on a report. It appears to be the same issue that James ran into. I clicked save every time and ran report to see changes. No problem doing that. I finally got the report to display the data correctly after many adjustments. As soon as I tried closing the window I was editing the report in, I found that the only way to exit was to close the database. Upon re-opening it, only the ORIGINAL report I'd created with the wizard an hour earlier was there. No changes whatsoever after it's creation were ever saved. This a fresh, new installation of Libre Office (latest version). I installed it on several machines, but this one I was using happened to be Windows 8.1 Pro x64. The rest of the machines are Windows 7 Pro x64. I'll try and see if the same thing happens on that OS later. I'm too frustrated right now to continue with the project.

I'd attach the database, but it already has customer data in it. Maybe later when I cool off I can upload a copy of it without the data along with any other information you think would help.

Andy
Comment 6 Alex Thurgood 2015-02-09 06:17:34 UTC
Altered title to reflect comments from others.
Comment 7 Alex Thurgood 2015-02-09 06:20:05 UTC
@James : any chance you could attach the ODB file that caused this to happen ?

The problem seems hard to reproduce consistently and so it may be something specific in your report that is triggering it.

Setting to NEEDINFO. Please set to UNCONFIRMED once you have provided a test file that displays the behaviour reproducibly.
Comment 8 James B. Byrne 2015-02-09 15:52:37 UTC
Created attachment 113260 [details]
ODB project document date 2015-01-12

This is the project as it stood three days after my initial bug report.  There is nothing in it of any consequence.  I believe that the problem report is called 'rpt_pro_forma_inv' but I cannot be certain at this point.  I may have deleted and recreated the original item simply to get past the problem.   I simply cannot recall.

In any case there are two reports in this document.  The one I think I encountered the issue with appears to be empty.
Comment 9 Alex Thurgood 2015-06-15 12:32:01 UTC
@James : is the problem still reproducible in the latest official version of LibreOffice ?

Setting to NEEDINFO, but I guess if the problem has gone away, we should set this to WFM.
Comment 10 Doug 2015-07-17 02:49:34 UTC
I can confirm the same/related problem starting LO 5.0.0.1 still in 5.0.0.3 Windows, which is the save icon in the report builder does not go grey to acknowledge a save of a report in edit mode.  I think the report is saved (pending save also in the main database window) but the save is not acknowledged visually by the button graphic as is the case in the Form and main database window.  The button continues to have the same appearance as if the report was not saved.  This is the diskette icon in the toolbar top right.
Comment 11 QA Administrators 2016-09-20 10:17:59 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920